# Class: AdminCreateUserRequest

[internal](../modules/internal-29.md).AdminCreateUserRequest

## Properties

### email

• **email**: `string`

#### Defined in

medusa/dist/api/routes/admin/users/create-user.d.ts:88

___

### first\_name

• `Optional` **first\_name**: `string`

#### Defined in

medusa/dist/api/routes/admin/users/create-user.d.ts:89

___

### last\_name

• `Optional` **last\_name**: `string`

#### Defined in

medusa/dist/api/routes/admin/users/create-user.d.ts:90

___

### password

• **password**: `string`

#### Defined in

medusa/dist/api/routes/admin/users/create-user.d.ts:92

___

### role

• `Optional` **role**: [`UserRoles`](../enums/internal-1.UserRoles.md)

#### Defined in

medusa/dist/api/routes/admin/users/create-user.d.ts:91
